Package org.eclipse.e4.ui.css.core.dom.properties.css2

# Class CSS2PaddingPropertiesImpl

java.lang.Object
org.eclipse.e4.ui.css.core.dom.properties.css2.CSS2PaddingPropertiesImpl

All Implemented Interfaces:
  `CSSValue`

public class CSS2PaddingPropertiesImpl extends Object implements CSSValue

## Field Summary

Fields
Modifier and Type
Field
Description
`CSSValue`
`bottom`
`CSSValue`
`left`
`CSSValue`
`right`
`CSSValue`
`top`

### Fields inherited from interface org.w3c.dom.css.CSSValue

`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

## Constructor Summary

Constructors
Constructor
Description
`CSS2PaddingPropertiesImpl()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCssText()`
`short`
`getCssValueType()`
`void`
`setCssText(String arg0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### top

public CSSValue top

### bottom

public CSSValue bottom

### left

public CSSValue left

### right

public CSSValue right

## Constructor Details

### CSS2PaddingPropertiesImpl

public CSS2PaddingPropertiesImpl()

## Method Details

### getCssText

public String getCssText()

Specified by:
  `getCssText` in interface `CSSValue`

### getCssValueType

public short getCssValueType()

Specified by:
  `getCssValueType` in interface `CSSValue`

### setCssText

public void setCssText(String arg0) throws DOMException

Specified by:
  `setCssText` in interface `CSSValue`
Throws:
  `DOMException`